# Uses of Interface
com.microsoft.sqlserver.jdbc.SQLServerKeyVaultAuthenticationCallback

Packages that use SQLServerKeyVaultAuthenticationCallback
Package
Description
com.microsoft.sqlserver.jdbc

## Uses of SQLServerKeyVaultAuthenticationCallback in com.microsoft.sqlserver.jdbc

Constructors in com.microsoft.sqlserver.jdbc with parameters of type SQLServerKeyVaultAuthenticationCallback
Modifier
Constructor
Description
``
`SQLServerColumnEncryptionAzureKeyVaultProvider(SQLServerKeyVaultAuthenticationCallback authenticationCallback)`
Constructs a SQLServerColumnEncryptionAzureKeyVaultProvider with a callback function to authenticate to AAD.